Create failing tests

This commit is contained in:
Steve Streeting 2016-04-25 10:56:38 +01:00
parent 110d58f032
commit 5ac6e5d903
2 changed files with 18 additions and 0 deletions

@ -83,6 +83,15 @@ Git LFS initialized."
[ "$expected" = "$(git lfs install 2>&1)" ]
[ "test" = "$(cat .git/hooks/pre-push)" ]
# Make sure returns non-zero
set +e
git lfs install
if [ $? -eq 0 ]
then
exit 1
fi
set -e
# force replace unexpected hook
[ "Updated pre-push hook.
Git LFS initialized." = "$(git lfs install --force)" ]

@ -64,6 +64,15 @@ Run \`git lfs update --force\` to overwrite this hook."
[ "$expected" = "$(git lfs update 2>&1)" ]
[ "test" = "$(cat .git/hooks/pre-push)" ]
# Make sure returns non-zero
set +e
git lfs update
if [ $? -eq 0 ]
then
exit 1
fi
set -e
# force replace unexpected hook
[ "Updated pre-push hook." = "$(git lfs update --force)" ]
[ "$pre_push_hook" = "$(cat .git/hooks/pre-push)" ]